# pict-rs 0.5.3

## Overview

A quick release after 0.5.2 to add a default value for `use_tls`, and to fix launching pict-rs with
postgres using commandline flags.

### Bugfixes

- [Semver Break in 0.5.2](#semver-break-in-0-5-2)
- [Postgres Commandline Configuration Panic](#postgres-commandline-configuration-panic)


## Upgrade Notes

There's no significant changes from 0.5.2, so upgrading should be as simple as pulling a new version
of pict-rs.


## Descriptions

### Semver Break in 0.5.2

When adding TLS support to postgres in 0.5.2, I had forgotten to set a default value for the new
`use_tls` configuration option, leading to postgres deployments no longer launching after upgrade.
This has been fixed by setting it to `false` by default, which aligns with the previous behavior of
not using TLS.


### Postgres Commandline Configuration Panic

When adding TLS support to postgres in 0.5.2, I had accidentally added two conflicting commandline
arguments that expected to use `-u`. The first is for the postgres URL, and the second is for the
`use_tls` setting. This caused panics when attempting to configure postgres with commandline flags.
0.5.3 fixes this by changing `use_tls` to use the `-t` short flag, rather than `-u`.
